Table of Content

Help for the DIPPR ® Sample Database
  • Background
  • Overview
  • Accessing the Database
  • Creating a List of Compounds
  • Specifying the Desired Constant Temperature Properties
  • Specifying the Desired Temperature Dependent Properties
  • Generating the Desired Output for Polymath, MATLAB and Excel
  • Calculation of Ideal Gas Enthalpy at Various Temperatures
  • License for this Educational Sample Version of the DIPPR ® 801 Database
  • Copyrights
  • Contacting Polymath Software
            •


Accessing the Database

Previous Home Next Background

This educational version of POLYMATH™ software provides a convenient interface with access to a limited (sample) version of the DIPPR® 801 Database. This interface demonstrates seamless access to the thermophysical data on 112 compounds that can be conveniently selected and exported to POLYMATH, Excel® and MATLAB®. Use of a high-quality data source such as DIPPR® 801 is important for problem solving and accurate design calculations. The DIPPR® 801 Database is a product of the Design Institute for Physical Properties (DIPPR®), an AIChE® Technology Alliance. For more information, including a complete list of over 2,000 compounds contained in the full version of the DIPPR® 801 Database, please visit http://www.aiche.org/dippr.

The Design Institute for Physical Properties and its acronym DIPPR® are registered trademarks of the American Institute of Chemical Engineers (AIChE®) and are used by permission. Please communicate any questions, comments, or difficulties by email to DIPPR@polymath-software.com.

Use of the limited (sample) DIPPR® 801 Database and any and all extracted data therefrom is to be for EDUCATIONAL PURPOSES ONLY, both now and at any time in the future. By clicking on the “I Agree” button below, please indicate that you agree to the “Educational Purposes Only” restriction.


Overview

Previous Home Next Overview

The commercial version of the DIPPR® 801 Database for 2011 contains validated property data for 2030 compounds. There are 49 thermophysical properties in the database, 34 constant properties and 15 temperature dependent properties. A complete listing of these properties is available below.

The thermophysical properties can be exported to POLYMATH, Excel and MATLAB. The desired properties are exported in the code that is appropriate for each program.

49 Thermophysical Properties In The DIPPR 801 Database

34 Constant Properties
Property | DIPPR ID | Units
Acentric Factor | ACEN |
Auto Ignition Termperature | AIT | K
Dielectric Constant | DC |
Dipole Moment | DM | c*m
Absolute Entropy of Ideal Gas at 298.15 K and 100000 Pa | ENT | J/kmol*K
Lower Flammability Limit Temperature | FLTL | K
Upper Flammability Limit Temperature | FLTU | K
Lower Flammability Limit | FLVL | vol % in air
Upper Flammability Limit | FLVU | vol % in air
Flash Point | FP | K
Gibbs Energy of Formation of Ideal Gas at 298.15 K and 100000 Pa | GFOR | J/kmol
Gibbs Energy of Formation in Standard State at 298.15 K and 100000 Pa | GSTD | J/kmol
Net Enthalpy of Combustion Standard State (298.15 K) | HCOM | J/kmol
Enthalpy of Formation of Ideal gas at 298.15 K and 100000 Pa | HFOR | J/kmol
Enthalpy of Fusion at Melting Point | HFUS | J/kmol
Enthalpy of Formation in Standard State at 298.15 K and 100000 Pa | HSTD | J/kmol
Enthalpy or Heat of Sublimation | HSUB | J/kmol
Liquid Molar Volume at 298.15 K | LVOL | m^3/kmol
Melting Point (1 atm) | MP | K
Molecular Weight | MW | kg/kmol
Normal Boiling Point (1 atm) | NBP | K
Parachor | PAR | None
Critical Pressure | PC | Pa
Radius of Gyration | RG | m
Refractive Index at 298.15 K | RI |
Solubility Parameter at 298.15 K | SOLP | (J/m^3)^(1/2)
Absolute Entropy in Standard State at 298.15 K and 100000 Pa | SSTD | J/kmol*K
Critical Temperature | TC | K
Triple Point Pressure | TPP | Pa
Triple Point Temperature | TPT | K
Critical Volume | VC | m^3/kmol
van der Waals Area | VDWA | m^2/kmol
van der Waals Reduced Volume | VDWV | m^3/kmol
Critical Compressibility Factor | ZC |

15 Temperature Dependent Properties
Property | DIPPR ID | Units
Heat of Vaporization | HVP | J/kmol
Ideal Gas Heat Capacity | ICP | J/kmol*K
Liquid heat Capacity (at 1 atm below normal boiling point, saturation pressure at and above) | LCP | J/kmol*K
Liquid Density (at 1 atm below normal boiling point, saturation pressure at and above) | LDN | kmol/m^3
Liquid Thermal Conductivity (at 1 atm below normal boiling point, saturation pressure at and above) | LTC | W/m*K
Absolute Liquid Viscosity (at 1 atm below normal boiling point, saturation pressure at and above) | LVS | Pa*s
Solid Heat Capacity | SCP | J/kmol*K
Solid Density | SDN | kmol/m^3
Surface Tension (at 1 atm below normal boiling point, saturation pressure at and above) | ST | N/m
Solid Thermal Conductivity | STC | W/m*K
Solid Vapor Pressure | SVP | Pa
Second Virial Coefficient | SVR | m^3/kmol
Liquid Vapor Pressure | VP | Pa
Vapor Thermal Conductivity (at 1 atm or below) | VTC | W/m*K
Vapor Viscosity (at 1 atm or below) | VVS | Pa*s


Accessing the Database

Previous Home Next Accessing the Database

The database can be accessed in three ways.

1) The dropdown menu in POLYMATH provides the option to access the database by selecting DIPPR DB.

2) The All Programs listing has the DIPPR Database as a selection from the Polymath Software directory.

3) The All Programs listing has the DIPPR Database as a selection.


Creating a List of Compounds

Previous Home Next Creating a List of Compounds

The first display in the interface allows the user to enter one compound or a collection of compounds for which the same thermochemical properties are desired.

A mouse click on the Add button [image] brings up a listing of the various compounds that are available in the sample DIPPR Database.

Note that you can either scroll down the list to select a particular compound or enter the Name or Formula of the compound into the Search box. For example, if you enter 'ethanol', 'ethyl alcohol' or 'C2H6O' in the search box, then the result for ethyl alcohol is found. The wildcard character '* ' can also be used during a search. For example, searching on 'sulfur*' yields six compounds including SULFUR DIOXIDE, SULFUR TRIOXIDE, SULFURIC ACID, SULFUR, etc,.. When entering a formula, the atoms followed immediately by the total number of that atom must be entered. The atoms must be arranged in increasing alphabetical order.

You can also select one or more compounds from the list by pressing and holding down the Cntl key while clicking the mouse in the line containing the compound(s). After selecting all the compounds to the list for which similar properties are desired, then press the button [image]. Additional compounds can also be added to the list in a similar manner.

The selection of methane through isobutane plus ethanol are shown in the list below:


Specifying the Desired Constant Temperature Properties

Previous Home Next Specifying the Desired Constant Temperature Properties

The Constant Properties available from the database are listed when you press the button to the right of the Properties entry line.

This display is shown below where the constant properties of Critical Pressure, PC, and Critical Temperature, TC, have been checked with the mouse to indicate that they are desired properties. The SI units are given in the brackets following the Constant Property names.

Pressing the done button [image] inserts these desired properties into the selection display as shown below. This trial version of the DIPPR Database allows a maximum of 10 constant properties to be selected at any one time.

The property data for your list and your selected Constant Properties are generated when you press the Generate Report button [image].

The DIPPR Report display shown below has a number of convenient options.

An important option is your selection of the desired Report from three levels of property retrieval (Minimal, Basic or Detailed) from the pull-down menu in the upper left of the Report display. You can view these three levels by going to the Copy button for the software package that you are using and have need for the DIPPR Database results. Consider Polymath output which can be seen by selecting the option to [image] where the drop-down option to [image] enables you to view the output as the 'Minimal Report' is selected.

The resulting 'Minimal Report" uses the constant property name in the DIPPR Database followed by the compound formula. The equations are in Polymath format where the comments give the SI units and the Uncertainty. This information can then be copied directly into Polymath program editor. The 'Basic Report' gives more information and is shown below only for isobutane as a representative compound.

The 'Detailed Report' gives the most complete information as is shown below for isobutane, as a representative compound, when the 'Copy to Matlab/Show Matlab text...' option is utilized.

The 'Minimal Report' when copied to Excel gives the following spreadsheet coding that can be places as desired in the Excel spreadsheet..


Specifying the Desired Temperature Dependent Properties

Previous Home Next Specifying the Desired Temperature Dependent Properties

Consider now the Temperature Dependent Properties from the list containing methane through isobutane plus ethanol are shown below.

The Temperature Dependent Properties available from the database are listed when you press the button to the right of the Temperature dependent Properties entry line.

This display is shown below where the temperature dependent properties of Heat of Vaporization, HVP, and the Ideal Gas Heat Capacity, ICP, have been selected with the mouse to indicate desired properties. The SI units are given in the brackets following the property name.

Pressing the done button [image] inserts these desired properties into the selection display as shown below. This trial version of the DIPPR Database allows a maximum of 5 temperature dependent properties to be selected at any one time.


Generating the Desired Output for Polymath

Previous Home Next Generating the Desired Output for Polymath, MATLAB and Excel

The DIPPR Report display shown below has a number of convenient options.

Note that there are two entries for the Ideal Heat Capacities (ICP's) of Propane, Isobutane and Ethanol. These entries cover different temperature ranges (50 to 200 K) and (200 to 1500 K) to minimize the Uncertainty over the entire range.

The selection of the desired Report from the Temperature Dependent Properties also has three levels of property retrieval (Minimal, Basic or Detailed) from the database. You can view these three levels by going to the Copy button for the software package that you are using and have need for the database query results. Consider Polymath output which can be seen by selecting the dropdown menu under the Copy to Polymath heading [image] where the option to 'Show Polymath Text' enabled you to view the selected Report.

The above report for the 'Minimal Report" uses the constant property name in the DIPPR Database followed by the compound formula. The equations are in Polymath format where the comments give the SI units and the Uncertainty. This information can then be copied directly into Polymath program editor. The 'Basic Report' gives more information and is shown below only for the ideal heat capacity of one compound, the isobutane.

The 'Detailed Report' gives the most complete information as is shown below only for the ideal heat capacity of ethanol while using the Copy to Matlab option.

The 'Minimal Report' when copied to Excel gives the following spreadsheet coding that can be places as desired in the Excel spreadsheet.

You can select both Constant Temperature Properties and Temperature Dependent Properties from the list of compounds. This is shown below for the Select Compounds and Properties for DIPPR Report display shown below for the selections made previously.

The Generate Report button provides the DIPPR Report display with a tab for each class of properties as shown in the two displays.

Constant Properties Report

Temperature Dependent Properties Report

The displays allow you to copy the properties to the desired software packages, POLYMATH, Excel and MATLAB from each report.


Calculation of Ideal Gas Enthalpy at Various Temperatures

Previous Home Next Calculation of Ideal Gas Enthalpy at Various Temperatures

Whenever the temperatue-dependent ideal gas heat capacity of a compound is requested and the ICP equation of that compound is in a transcendental form, the temperature-dependent equation for ideal gas enthalpy is also included, as a comment. This shown in the table below for n-octane in bold for line 6. This table that reproduces the Basic Report as copied into Polymath from the DIPPR Database. The variable 'HIG_C8H18' represents the temperature-dependent ideal gas enthalpy for n-octane. The variable 'HCON_C8H18' is an integration constant that depends on the standard state conditions that are selected for the enthalpy calculation.

No. | Command / # Comment
1 | # Ideal Gas Heat Capacity of n-OCTANE
2 | # Compounds Family: N-ALKANES
3 | # Compounds Structure: CH3(CH2)6CH3
4 | # Valid Temperature Range: 200K to 1500K
5 | # Valid Value Range: 145290 to 497640 (J/kmol*K)
6 | # HIG_C8H18 = 135540*T+443100*1635.6*coth(1635.6/T)-305400*746.4*tanh(746.4/T)+HCON_C8H18 # J/kmol
7 | ICP_C8H18 = 135540 + 443100 * (1635.6 / T / sinh(1635.6 / T)) ^ 2 + 305400 * (746.4 / T / cosh(746.4 / T)) ^ 2 # J/kmol*K (Uncertainty < 1%)

For example, selection of the standard state (from thermodynamics) of a compound to be pure liquid at 0 deg C (273.15 K) yields HCON_C8H18, the integration constant, as the ideal gas enthalpy of the compound at 273.15 K subtracted from the heat of vaporization of the compound at the same temperature. The equations for calculating HCON_C8H18 for n-octane are shown below in Polymath format. This set of equations yields HCON_C8H18 = -4.928E+08 J/kmol for n-Octane.

No. | Command / # Comment
1 | T0 = 273.15 # K
2 | HIG_C8H18_273=135540*T0+443100*1635.6*(coth(1635.6/T0))-305400*746.4*(tanh(746.4 / T0)) # J/kmol
3 | HVP_C8H18_273 =4.2902E+07 # J/kmol (T=273.15)
4 | HCON_C8H18 = HVP_C8H18_273-HIG_C8H18_273 # J/kmol

Thus a portion of the Polymath program that calculates the temperature-dependent ideal gas enthalpy and heat capacity for n-octane at any T (K) is shown below.

No. | Command / # Comment
1 | T0 = 273.15 # K
2 | HIG_C8H18_273=135540*T0+443100*1635.6*(coth(1635.6/T0)) - 305400*746.4*(tanh(746.4 / T0)) # J/kmol
3 | HVP_C8H18_273 = 4.2902E+07 # J/kmol (T=273.15)
4 | HCON_C8H18 = HVP_C8H18_273-HIG_C8H18_273 # J/kmol
5 | HIG_C8H18 = 135540*T+443100*1635.6*coth(1635.6/T)-305400*746.4*tanh(746.4/T) + HCON_C8H18 # J/kmol
6 | ICP_C8H18 = 135540 + 443100 * (1635.6 / T / sinh(1635.6 / T)) ^ 2 + 305400 * (746.4 / T / cosh(746.4 / T)) ^ 2 # J/kmol*K


License for this Educational Sample Version of the DIPPR

Previous Home Next License

License for this Educational Sample Version of the DIPPR® 801 Database

a. Distribution of the DATABASE via hard-copy, CD-ROM, or electronically in any format or by any other means by an END USER is prohibited.

b. The DATABASE shall only be used for educational purposes. Access to the DATABASE from outside the END USER’S organization shall be prohibited.

c. Upon expiration of or termination of the sub-license, the END USER shall cease all use of the DATABASE.

d. The END USER shall indemnify and hold AIChE harmless from any claim, damages, suit or proceeding arising from dissatisfaction of the contents of the DATABASE, including AIChE’s liability for reasonable attorney’s fees and expenses in defending such claims.

e. AIChE WILL USE REASONABLE EFFORTS DESIGNED TO VERIFY THAT THE DATA CONTAINED IN THE DATABASE HAS BEEN SELECTED ON THE BASIS OF SOUND SCIENTIFIC JUDGMENT. HOWEVER, AIChE MAKES NO WARRANTIES TO THAT EFFECT. THE DATABASE IS PROVIDED “AS IS” WITHOUT WARRANTY OF ANY KIND. AIChE DISCLAIMS ALL WARRANTIES, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE. AIChE SHALL NOT BE LIABLE FOR ANY DAMAGES, LOSS OF PROPERTY OR PROFITS, OR CONSEQUENTIAL, EXEMPLARY OR SPECIAL DAMAGES THAT MAY RESULT FROM ERRORS OR OMISSIONS IN THE DATABASE EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGES.

AIChE DOES NOT WARRANT THAT THE DATABASE WILL SATISFY THE USER’S REQUIREMENTS OR THAT THE DATABASE IS WITHOUT DEFECT OR ERROR OR THAT THE OPERATION OF THE DATABASE WILL BE UNINTERRUPTED. THE USER IS SOLELY RESPONSIBLE FOR DETERMINING THE SUITABILITY OF THE DATABASE AND FOR TESTING AND EVALUATING IT BEFORE ANY USE OF OR RELIANCE ON IT. THE USER ASSUMES, WITHOUT LIMITATION, ALL RISKS AND LIABILITIES ASSOCIATED WITH THE USE OF THE DATA INCLUDED IN THE DATABASE.


Copyrights for the Interface

Previous Home Next Copyrights

Copyrights for the Interface (Polymath Software) and the DIPPR Database (American Institute of Chemical Engineers)

a. Polymath Software has secured copyright protection for the Database Interface Software in the United States and in other countries that are party to the Universal Copyright Convention. END USERS shall comply with all applicable copyright laws with respect to use of the Database Software.

b. AIChE has secured copyright protection on the DATABASE in the United States and in other countries that are party to the Universal Copyright Convention. END USERS shall comply with all applicable copyright laws with respect to use of the DATABASE.


Contacting Polymath Software

Previous Home Next Contacting Polymath Software

Polymath Home Page | http://www.polymath-software.com
Corporate Sales | sales@polymath-software.com
Academic Sales | academic@polymath-software.com
Webmaster | webmaster@polymath-software.com